Class | Prawn::Document::ColumnBox
In: | lib/prawn/document/column_box.rb
Parent: | BoundingBox

Implements the necessary functionality to allow Document#column_box to work.

### Methods

left_side move_past_bottom right_side width width_of_column

### Public Instance methods

left_side()

x coordinate of the left edge of the current column

move_past_bottom()

Moves to the next column or starts a new page if currently positioned at the rightmost column.

right_side()

x co-orordinate of the right edge of the current column

width()

The column width, not the width of the whole box. Used to calculate how long a line of text can be.

width_of_column()

Column width including the spacer.

[Validate]